Package org.eclipse.emf.cdo.server.net4j

# Class FailoverAgent.Protocol

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.spi.net4j.Protocol<Object>
org.eclipse.net4j.signal.SignalProtocol<Object>
org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol
org.eclipse.emf.cdo.server.net4j.FailoverAgent.Protocol

All Implemented Interfaces:
  `org.eclipse.net4j.buffer.IBufferHandler`, `org.eclipse.net4j.ILocationAware`, `org.eclipse.net4j.protocol.IProtocol<Object>`, `org.eclipse.net4j.protocol.IProtocol2<Object>`, `org.eclipse.net4j.protocol.IProtocol3<Object>`, `org.eclipse.net4j.signal.ISignalProtocol<Object>`, `org.eclipse.net4j.signal.ISignalProtocol.WithSignalCounters<Object>`, `org.eclipse.net4j.util.collection.Entity.Store.Provider`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.container.IManagedContainerProvider`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`, `org.eclipse.net4j.util.security.IUserAware`

Enclosing class:
  `FailoverAgent`

public static class FailoverAgent.Protocol extends org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol
The agent-side implementation of the `fail-over monitor` protocol.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol

`org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol.Server`

## Nested classes/interfaces inherited from class org.eclipse.net4j.signal.SignalProtocol

`org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException, org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent`

## Nested classes/interfaces inherited from class org.eclipse.spi.net4j.Protocol

`org.eclipse.spi.net4j.Protocol.InfraStructureChangedEvent`

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`org.eclipse.net4j.util.event.Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`org.eclipse.net4j.ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.signal.ISignalProtocol

`org.eclipse.net4j.signal.ISignalProtocol.WithSignalCounters<INFRA_STRUCTURE>`

## Field Summary

### Fields inherited from class org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol

`TYPE`

### Fields inherited from class org.eclipse.net4j.signal.SignalProtocol

`COMPRESSED_STRINGS_ACKNOWLEDGE_TIMEOUT, SIGNAL_ACKNOWLEDGE_COMPRESSED_STRINGS, SIGNAL_ENTITY, SIGNAL_MONITOR_CANCELED, SIGNAL_MONITOR_PROGRESS, SIGNAL_REMOTE_EXCEPTION, SIGNAL_SET_TIMEOUT`

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

### Fields inherited from interface org.eclipse.net4j.protocol.IProtocol2

`UNSPECIFIED_VERSION`

### Fields inherited from interface org.eclipse.net4j.signal.ISignalProtocol

`DEFAULT_TIMEOUT, NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`Protocol(FailoverAgent agent)`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.net4j.signal.SignalReactor`
`createSignalReactor(short signalID)`
`FailoverAgent`
`getAgent()`
`protected void`
`requestingStart(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, long rate)`

### Methods inherited from class org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol

`doDeactivate, getDefaultTimer, getTimer, handleTimeout, start, start`

### Methods inherited from class org.eclipse.net4j.signal.SignalProtocol

`addStreamWrapper, close, doBeforeDeactivate, getEntityStore, getReceivedSignals, getSentSignals, getStreamWrapper, getStringCompressor, getTimeout, handleBuffer, handleChannelDeactivation, isSendingTimeoutChanges, open, provideSignalReactor, setStreamWrapper, setTimeout, setTimeout, toString, waitForSignals`

### Methods inherited from class org.eclipse.spi.net4j.Protocol

`doBeforeActivate, getBufferProvider, getChannel, getContainer, getExecutorService, getInfraStructure, getLocation, getType, getUserID, getVersion, isClient, isServer, setChannel, setExecutorService, setInfraStructure, setUserID`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doActivate, doAfterActivate, dump, getLifecycleState, isActive, isDeferredActivation`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol

`getBufferProvider, getChannel, getExecutorService, getInfraStructure, getType, setChannel, setExecutorService, setInfraStructure`

### Methods inherited from interface org.eclipse.net4j.protocol.IProtocol3

`doWhenFullyConnected`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Constructor Details

### Protocol

public Protocol(FailoverAgent agent)

## Method Details

### getAgent

public FailoverAgent getAgent()

### requestingStart

protected void requestingStart(org.eclipse.net4j.util.io.ExtendedDataOutputStream out, long rate) throws IOException

Overrides:
  `requestingStart` in class `org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol`
Throws:
  `IOException`

### createSignalReactor

protected org.eclipse.net4j.signal.SignalReactor createSignalReactor(short signalID)

Overrides:
  `createSignalReactor` in class `org.eclipse.net4j.signal.heartbeat.HeartBeatProtocol`